net.i2p.client

## Class I2PSessionMuxedImpl.MuxedAvailabilityNotifier

- java.lang.Object
- - net.i2p.client.I2PSessionImpl.AvailabilityNotifier
  - - net.i2p.client.I2PSessionMuxedImpl.MuxedAvailabilityNotifier

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    I2PSessionMuxedImpl

      protected class I2PSessionMuxedImpl.MuxedAvailabilityNotifier
      extends I2PSessionImpl.AvailabilityNotifier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PSessionMuxedImpl.MuxedAvailabilityNotifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `available(long msgId, int size)` unused
    `void` | `available(long msgId, int size, int proto, int fromPort, int toPort)`
    `void` | `run()`
    `void` | `stopNotifying()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I2PSessionMuxedImpl.MuxedAvailabilityNotifier

          public I2PSessionMuxedImpl.MuxedAvailabilityNotifier()

  - ### Method Detail

    - #### stopNotifying

          public void stopNotifying()

      Overrides:
        `stopNotifying` in class `I2PSessionImpl.AvailabilityNotifier`

    - #### available

          public void available(long msgId,
                       int size)

      unused
      Overrides:
        `available` in class `I2PSessionImpl.AvailabilityNotifier`

    - #### available

          public void available(long msgId,
                       int size,
                       int proto,
                       int fromPort,
                       int toPort)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `I2PSessionImpl.AvailabilityNotifier`